Bug 591468 - Kernel bug while pairing / connecting to bluetooth modem
Kernel bug while pairing / connecting to bluetooth modem
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-12 06:32 EDT by Brian C. Huffman
Modified: 2010-12-03 09:47 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:47:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian C. Huffman 2010-05-12 06:32:59 EDT
Description of problem:
Attempting to pair / "Access internet" with bluetooth Droid phone, pairing appears successful, but after clicking "Access the internet using your mobile phone (DUN)" it eventually times out with "Error: timed out detecting phone details." and the attached kernel crash is shown.

Version-Release number of selected component (if applicable):
bluez-4.58-1.fc12.i686
kernel-PAE-2.6.32.11-99.fc12.i686

How reproducible:
Always.

Steps to Reproduce:
1.  See above
2.
3.
  
Actual results:
No connection, kernel call trace

Expected results:
Connection, no crash

Additional info:
May 12 06:27:01 targee bluetoothd[1658]: Discovery session 0x1f90610 with :1.78 activated
May 12 06:27:25 targee NetworkManager: <info> BT device C0:E4:22:25:1E:F0 removed
May 12 06:27:30 targee bluetoothd[1658]: Discovery session 0x1f8c198 with :1.80 activated
May 12 06:27:33 targee bluetoothd[1658]: Stopping discovery
May 12 06:27:35 targee bluetoothd[1658]: link_key_request (sba=00:1B:DC:0F:BE:94, dba=C0:E4:22:25:1E:F0)
May 12 06:27:35 targee bluetoothd[1658]: io_capa_request (sba=00:1B:DC:0F:BE:94, dba=C0:E4:22:25:1E:F0)
May 12 06:27:35 targee bluetoothd[1658]: io_capa_response (sba=00:1B:DC:0F:BE:94, dba=C0:E4:22:25:1E:F0)
May 12 06:27:41 targee bluetoothd[1658]: link_key_notify (sba=00:1B:DC:0F:BE:94, dba=C0:E4:22:25:1E:F0, type=5)
May 12 06:27:42 targee bluetoothd[1658]: probe failed with driver input-headset for device /org/bluez/1653/hci0/dev_C0_E4_22_25_1E_F0
May 12 06:27:52 targee bluetoothd[1658]: link_key_request (sba=00:1B:DC:0F:BE:94, dba=C0:E4:22:25:1E:F0)
May 12 06:27:52 targee modem-manager: (rfcomm0) opening serial device...
May 12 06:28:03 targee modem-manager: (rfcomm0) closing serial device...
May 12 06:28:03 targee modem-manager: (rfcomm0) opening serial device...
May 12 06:28:10 targee modem-manager: (rfcomm0) closing serial device...
May 12 06:28:36 targee dbus-daemon: Rejected send message, 1 matched rules; type="method_return", sender=":1.13" (uid=0 pid=1653 comm="/usr/sbin/bluetoothd) interface="(unset)" member="(unset)" error name="(unset)" requested_reply=0 destination=":1.80" (uid=500 pid=3098 comm="bluetooth-wizard))
May 12 06:28:38 targee kernel: BUG: sleeping function called from invalid context at net/core/sock.c:1901
May 12 06:28:38 targee kernel: in_atomic(): 1, irqs_disabled(): 0, pid: 0, name: swapper
May 12 06:28:38 targee kernel: Pid: 0, comm: swapper Not tainted 2.6.32.9-70.fc12.i686.PAE #1
May 12 06:28:38 targee kernel: Call Trace:
May 12 06:28:38 targee kernel: [<c04335e8>] __might_sleep+0xca/0xd1
May 12 06:28:38 targee kernel: [<c0711c13>] lock_sock_nested+0x21/0xad
May 12 06:28:38 targee kernel: [<c043d739>] ? try_to_wake_up+0x315/0x320
May 12 06:28:38 targee kernel: [<fa57643e>] lock_sock+0xf/0x11 [l2cap]
May 12 06:28:38 targee kernel: [<fa5788a2>] l2cap_sock_sendmsg+0x92/0x527 [l2cap]
May 12 06:28:38 targee kernel: [<c070ef88>] __sock_sendmsg+0x4a/0x53
May 12 06:28:38 targee kernel: [<c070f601>] sock_sendmsg+0xbb/0xd1
May 12 06:28:38 targee kernel: [<c0434c34>] ? enqueue_entity+0x335/0x33d
May 12 06:28:38 targee kernel: [<c045b4d5>] ? autoremove_wake_function+0x0/0x34
May 12 06:28:38 targee kernel: [<c04358f5>] ? enqueue_task_fair+0x24/0x5e
May 12 06:28:38 targee kernel: [<c042c6b1>] ? enqueue_task+0x6e/0x7b
May 12 06:28:38 targee kernel: [<c042da5c>] ? check_preempt_curr_idle+0x13/0x15
May 12 06:28:38 targee kernel: [<c043d739>] ? try_to_wake_up+0x315/0x320
May 12 06:28:38 targee kernel: [<c070f834>] kernel_sendmsg+0x2d/0x3c
May 12 06:28:38 targee kernel: [<fa5f635d>] rfcomm_send_frame+0x4f/0x6d [rfcomm]
May 12 06:28:38 targee kernel: [<fa5f63fb>] rfcomm_send_disc+0x80/0xa1 [rfcomm]
May 12 06:28:38 targee kernel: [<fa5f6a80>] rfcomm_session_del+0x40/0x85 [rfcomm]
May 12 06:28:38 targee kernel: [<fa5f6add>] rfcomm_session_put+0x18/0x1a [rfcomm]
May 12 06:28:38 targee kernel: [<fa5f7073>] rfcomm_session_timeout+0x33/0x5c [rfcomm]
May 12 06:28:38 targee kernel: [<c044e174>] run_timer_softirq+0x16d/0x1f0
May 12 06:28:38 targee kernel: [<c0466651>] ? tick_dev_program_event+0x39/0xa7
May 12 06:28:38 targee kernel: [<fa5f7040>] ? rfcomm_session_timeout+0x0/0x5c [rfcomm]
May 12 06:28:38 targee kernel: [<c044780e>] __do_softirq+0xb1/0x157
May 12 06:28:38 targee kernel: [<c04478ea>] do_softirq+0x36/0x41
May 12 06:28:38 targee kernel: [<c04479dd>] irq_exit+0x2e/0x61
May 12 06:28:38 targee kernel: [<c041e006>] smp_apic_timer_interrupt+0x6d/0x7b
May 12 06:28:38 targee kernel: [<c0409a95>] apic_timer_interrupt+0x31/0x38
May 12 06:28:38 targee kernel: [<c045007b>] ? rm_from_queue_full+0x1/0x6b
May 12 06:28:38 targee kernel: [<c06210d3>] ? acpi_idle_enter_bm+0x24d/0x27e
May 12 06:28:38 targee kernel: [<c06f6c2f>] cpuidle_idle_call+0x72/0xc3
May 12 06:28:38 targee kernel: [<c04081f2>] cpu_idle+0x96/0xb0
May 12 06:28:38 targee kernel: [<c07a0671>] start_secondary+0x1f5/0x233
May 12 06:28:38 targee kernel: BUG: scheduling while atomic: swapper/0/0x10000100
May 12 06:28:38 targee kernel: Modules linked in: fuse rfcomm sco bridge stp llc bnep l2cap vboxnetadp vboxnetflt vboxdrv nfsd lockd nfs_acl auth_rpcgss exportfs sunrpc ppdev parport_pc parport cpufreq_ondemand acpi_cpufreq ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 kvm uinput snd_hda_codec_idt snd_hda_intel snd_hda_codec snd_hwdep arc4 snd_seq snd_seq_device snd_pcm ecb snd_timer snd iwl3945 btusb bluetooth iwlcore soundcore mac80211 tg3 iTCO_wdt cfg80211 i2c_i801 snd_page_alloc iTCO_vendor_support dell_laptop rfkill dell_wmi dcdbas wmi joydev dm_multipath firewire_ohci firewire_core crc_itu_t yenta_socket rsrc_nonstatic i915 drm_kms_helper drm i2c_algo_bit i2c_core video output [last unloaded: microcode]
May 12 06:28:38 targee kernel:
May 12 06:28:38 targee kernel: Pid: 0, comm: swapper Not tainted (2.6.32.9-70.fc12.i686.PAE #1) Latitude D630                   
May 12 06:28:38 targee kernel: EIP: 0060:[<c06210d3>] EFLAGS: 00000286 CPU: 1
May 12 06:28:38 targee kernel: EIP is at acpi_idle_enter_bm+0x24d/0x27e
May 12 06:28:38 targee kernel: EAX: c0a7f8ac EBX: 00000035 ECX: 000000fc EDX: 03285000
May 12 06:28:38 targee kernel: ESI: 00000000 EDI: f72414c0 EBP: f70a5f70 ESP: f70a5f48
May 12 06:28:38 targee kernel: DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
May 12 06:28:38 targee kernel: CR0: 8005003b CR2: b6fad000 CR3: 00969000 CR4: 000006f0
May 12 06:28:38 targee kernel: DR0: 00000000 DR1: 00000000 DR2: 00000000 DR3: 00000000
May 12 06:28:38 targee kernel: DR6: ffff0ff0 DR7: 00000400
May 12 06:28:38 targee kernel: Call Trace:
May 12 06:28:38 targee kernel: [<c06f6c2f>] cpuidle_idle_call+0x72/0xc3
May 12 06:28:38 targee kernel: [<c04081f2>] cpu_idle+0x96/0xb0
May 12 06:28:38 targee kernel: [<c07a0671>] start_secondary+0x1f5/0x233
Comment 1 Bug Zapper 2010-11-03 11:01:48 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-12-03 09:47:12 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.